
Foreman - Bug #3602

Provisioning templates do not support all the documented functions

11/07/2013 03:40 PM - Jason Dillaman

Status: Duplicate   

Priority: Normal   

Assignee: Jason Dillaman   

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

For example, attempting to use '@host.interfaces' results in the following error: "There was an error rendering the Test template:

undefined method 'interfaces' for Host::Managed::Jail (Host::Managed)".  The documented set of supported functions is located here:

http://projects.theforeman.org/projects/foreman/wiki/TemplateWriting#Functions-and-macros.

Related issues:

Related to Foreman - Bug #2948: Whitelist additional Provisioning Template Ma... Closed 08/19/2013

History

#1 - 11/07/2013 05:39 PM - Dominic Cleal

- Related to Bug #2948: Whitelist additional Provisioning Template Macros added

#2 - 11/07/2013 05:40 PM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report, we'll try and track them all under #2948.
